# Class AprEndpoint.SocketList

java.lang.Object
org.apache.tomcat.util.net.AprEndpoint.SocketList

Enclosing class:
  `AprEndpoint`

public static class AprEndpoint.SocketList extends Object

Author:
  Mladen Turk, Remy Maucherat

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int[]`
`flags`
`protected AprEndpoint.SocketInfo`
`info`
`protected int`
`pos`
`protected int`
`size`
`protected long[]`
`sockets`
`protected long[]`
`timeouts`

## Constructor Summary

Constructors
Constructor
Description
`SocketList(int size)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`add(long socket, long timeout, int flag)`
`void`
`clear()`
`void`
`duplicate(AprEndpoint.SocketList copy)`
`AprEndpoint.SocketInfo`
`get()`
`boolean`
`remove(long socket)`
`int`
`size()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### size

protected volatile int size

### pos

protected int pos

### sockets

protected long[] sockets

### timeouts

protected long[] timeouts

### flags

protected int[] flags

### info

protected AprEndpoint.SocketInfo info

## Constructor Details

### SocketList

public SocketList(int size)

## Method Details

### size

public int size()

### get

public AprEndpoint.SocketInfo get()

### clear

public void clear()

### add

public boolean add(long socket, long timeout, int flag)

### remove

public boolean remove(long socket)

### duplicate

public void duplicate(AprEndpoint.SocketList copy)